	
%global upstream_ver 23.10.0-0.29
%global tarball_ver %%(echo %{upstream_ver} | cut -d - -f1)

Summary:        IB Performance Tests
Name:           perftest
Version:        %{lua: print((string.gsub(rpm.expand("%{upstream_ver}"),"-",".")))}
Release:        1%{?dist}
License:        GPLv2 or BSD
Url:            https://github.com/linux-rdma/perftest
Source0:        %{url}/releases/download/%{upstream_ver}/perftest-%{upstream_ver}.g0705c22.tar.gz

BuildRequires:  make gcc libibverbs-devel librdmacm-devel libibumad-devel pciutils-devel

%description
This package provides a collection of simple test programs designed to
utilize  RDMA communications and provide performance numbers over those
RDMA connections.  It does not work on normal TCP/IP networks, only on
RDMA networks.

%prep
%autosetup -n %{name}-%{tarball_ver} -p1
find src -type f -iname '*.[ch]' -exec chmod a-x '{}' ';'

%build
%configure
%make_build

%install
for file in ib_{atomic,read,send,write}_{lat,bw} raw_ethernet_{lat,bw}; do
	install -D -m 0755 $file %{buildroot}%{_bindir}/$file
done

%files
%license COPYING
%doc README
%_bindir/*

%changelog
* Wed Jan 10 2024 wynnfeng <wynnfeng@tencent.com> - 23.10.0.0.29-1
- Upgrade to version 23.10.0-0.29

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 18 2022 Shuo Wang <abushwang@tencent.com> - 4.5-1
- initial build
